View Issue Details

IDProjectCategoryView StatusLast Update
0018045mantisbtuipublic2017-01-31 04:02
ReporteratrolAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-beta.1 
Target Version2.1.0Fixed in Version2.1.0 
Summary0018045: Changed ordering of fields on View Issues page
Description

1.2 was
Product Version, Fixed in Version, Target Version, Priority

1.3 is
Product Version, Fixed in Version, Priority, Target Version:

It's better to show all version information one after another.

TagsNo tags attached.

Relationships

related to 0021031 closedcproensa Rewrite the filter box form 
child of 0021935 closedcproensa Filter api refactoring, manage stored filters 

Activities

dregad

dregad

2015-01-21 09:04

developer   ~0042223

Are you sure it's not a local/personal setting ?

System default [1] is 'selection, edit, priority, id, sponsorship_total, bugnotes_count, attachment_count, category_id, severity, status, last_updated, summary'

I just checked on this tracker, and we have 'selection, edit, priority, id, category_id, sponsorship_total, bugnotes_count, attachment, severity, status, last_updated, summary'

Notes:

  • 'sponsorship_total' is not displayed because we have disabled this feature.
  • 'attachment' is actually invalid (has been replaced by 'attachment_count') so it's not displayed either

[1] https://github.com/mantisbt/mantisbt/blob/master/config_defaults_inc.php#L900

atrol

atrol

2015-01-21 10:06

developer  

VersionFilter.png (1,940 bytes)
VersionFilter.png (1,940 bytes)
atrol

atrol

2015-01-21 10:07

developer   ~0042226

Last edited: 2015-01-21 10:08

View 2 revisions

Added a screenshot.
I mean the fields in filter section.

dregad

dregad

2015-01-21 10:25

developer   ~0042228

Ah OK, I get it now, sorry :-)

If we're going to be changing this (which I agree makes sense), then we should reconsider reorganizing the first 2 lines of filter criteria, to regroup them more logically.

I would propose:

BEFORE:
Reporter / Monitored By / Assigned To / Category / Severity / Resolution / Profile
Status / Hide Status / Product Version / Fixed in Version / Priority / Target Version

AFTER:
Reporter / Assigned To / Monitored By / Category / View Status / Severity / Priority
Status / Hide Status / Resolution / Product Version / Target Version / Fixed in Version / Profile

Thoughts ?

atrol

atrol

2015-01-25 16:51

developer   ~0048682

It can't be changed the way you proposed.
BEFORE:
Status / Hide Status / Product Build / Product Version / Fixed in Version / Priority / Target Version
if $g_enable_product_build = ON;

cproensa

cproensa

2016-10-18 17:18

developer   ~0054263

linking to https://github.com/mantisbt/mantisbt/pull/862
as reordering filter fields is relevant in that PR

cproensa

cproensa

2017-01-14 17:31

developer   ~0055126

Fields has been already reordered as part of PR 988

Issue History

Date Modified Username Field Change
2015-01-21 08:10 atrol New Issue
2015-01-21 09:04 dregad Status new => feedback
2015-01-21 09:04 dregad Note Added: 0042223
2015-01-21 10:06 atrol File Added: VersionFilter.png
2015-01-21 10:07 atrol Note Added: 0042226
2015-01-21 10:07 atrol Status feedback => new
2015-01-21 10:08 atrol Note Edited: 0042226 View Revisions
2015-01-21 10:25 dregad Status new => confirmed
2015-01-21 10:25 dregad Note Added: 0042228
2015-01-25 16:51 atrol Note Added: 0048682
2016-05-31 10:26 cproensa Relationship added related to 0021031
2016-10-18 17:16 cproensa Assigned To => cproensa
2016-10-18 17:16 cproensa Status confirmed => assigned
2016-10-18 17:18 cproensa Note Added: 0054263
2017-01-14 17:31 cproensa Status assigned => resolved
2017-01-14 17:31 cproensa Resolution open => fixed
2017-01-14 17:31 cproensa Note Added: 0055126
2017-01-14 17:32 cproensa Fixed in Version => 2.1.0
2017-01-14 17:32 cproensa Target Version => 2.1.0
2017-01-14 18:04 cproensa Relationship added child of 0021935
2017-01-31 04:02 vboctor Status resolved => closed